<?php
/**
 * The front page template file.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package STMPack
 */

get_header(); 
	if(function_exists('show_text_block')) {
		?><div id="slider" class="slider-fullscreen"><?php 
		$currentlang = get_bloginfo('language');
		echo show_text_block('slider-' . strtolower($currentlang), false);
		?></div><?php 
	} ?><div id="primary" class="content-area stm-inner-width">
		<main id="main" class="site-main" role="main">
			<section class="stm-front-section section-products">
				<h1><?php 
					if(function_exists('pll_e')) {
						pll_e('Products');
					} else {
						echo 'Products';
					} 
				?></h1>
				<?php if(function_exists('show_text_block')) {
					$currentlang = get_bloginfo('language');
					echo show_text_block('products-' . strtolower($currentlang), false); 
				} ?>
			</section>
			<?php if('en-GB' === $currentlang): ?><section class="stm-front-section section-news">
				<h1 class="news-title"><?php 
					if(function_exists('pll_e')) {
						pll_e('News');
					} else {
						echo 'News';
					} 
				?></h1>
				<?php 
					$the_query = new WP_Query( 'posts_per_page=1' );
					while ($the_query -> have_posts()) : $the_query -> the_post();
				?><article class="news <?php echo((has_post_thumbnail()) ? 'news-thumb' : 'news-nothumb'); ?>">
					<div class="news-content">
						<h1 class="inner-title">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
						</h1><p><?php the_time('jS F Y') ?></p><?php 
							the_excerpt(__('(more …)'));
					?></div><?php 
						if (has_post_thumbnail() ) : 
					?><figure class="thumb"><?php the_post_thumbnail('medium'); ?></figure><?php 
						endif; 
					?>
				</article><?php 
					endwhile;
					wp_reset_postdata();
				?>
			</section><?php endif; ?>
			<div class="stm-front-section section-featured">
				<?php if(function_exists('show_text_block')) {
					$currentlang = get_bloginfo('language');
					echo show_text_block('featured-' . strtolower($currentlang), false); 
				} ?>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->
<?php 
get_footer();